# Bluetooth device pair

A decision block that pair with another Bluetooth device.

The fiber will proceed immediately if the devices are already paired, or pause until pairing has finished.

The OK path is followed if the devices are already paired, or when pairing has completed successfully. The NO path is followed if the other device was not found, pairing failed or was cancelled.

The address of a device may be randomized at regular intervals unless devices has been paired, and the device name may not always be available.

## Input arguments

- Device address — address of device, default is first paired device found.
- Device name — name of device, default is first paired device found.